import ajax from "@/utils/request.js";

/**
 * 广告
 * @returns {AxiosPromise}
 */
 export function advertisementApi(data) {
  return ajax({
    url: "/kuyun_eye_ad/cbd_public/perform",
    method: "get",
    data
  });
}
/**
 * 流入流出
 * @returns {AxiosPromise}
 */
 export function inOutApi(data) {
  return ajax({
    url: "/api/recent_inout",
    method: "get",
    data
  });
}
/**
 * epg
 * @returns {AxiosPromise}
 */
 export function epgApi(data) {
  return ajax({
    url: "/api/recent_epgs",
    method: "get",
    data
  });
}
/**
 * 直播实时 分
 * @returns {AxiosPromise}
 */
 export function liveRealDataMinApi(data) {
  return ajax({
    url: "/api/sec_ratings",
    method: "get",
    data
  });
}
/**
 * 直播实时数据
 * @returns {AxiosPromise}
 */
 export function liveRealDataApi(data) {
  return ajax({
    url: "/api/min_ratings",
    method: "get",
    data
  });
}
/**
 * 直播实时数据
 * @returns {AxiosPromise}
 */
 export function liveDataApi(data) {
  return ajax({
    url: "/api/tvlb",
    method: "get",
    data
  });
}
/**
 * 高光数据
 * @returns {AxiosPromise}
 */
 export function heightlightDataApi(data) {
  return ajax({
    url: "/api/hl/calendar",
    method: "get",
    data
  });
}
/**
 * 高光时刻
 * @returns {AxiosPromise}
 */
export function heightlightApi(data) {
  return ajax({
    url: "/api/hl/list-milestone",
    method: "get",
    data
  });
}
/**
 * 节目
 * @returns {AxiosPromise}
 */
 export function list(data) {
  return ajax({
    url: "/api/proepglb",
    method: "get",
    data
  });
}
/**
 * 节目导出
 * @returns {AxiosPromise}
 */
 export function listcsv(data) {
  return ajax({
    url: "/api/proepglb/csv",
    method: "get",
    downCsv: true,
    data
  });
}
/**
 * 频道
 * @returns {AxiosPromise}
 */
export function channel(data) {
  return ajax({
    url: "/api/protvlb",
    method: "get",
    data
  });
}
/**
 * 频道导出
 * @returns {AxiosPromise}
 */
export function channelcsv(data) {
  return ajax({
    url: "/api/protvlb/csv",
    method: "get",
    downCsv: true,
    data
  });
}


/**
 * 获取精品节目列表
 * @props {}
 * @returns {AxiosPromise}
 */
 export function epgList() {
  return ajax({
    urlType: 'url2',
    url: "/program",
    method: "get",
  });
}
/**
 * 获取精品节目详情
 * @props {}
 * @returns {AxiosPromise}
 */
export function epgDetail(data) {
  return ajax({
    urlType: 'url2',
    url: "/epg-detail",
    method: "get",
    data
  });
}
/**
 * 获取精品节目指标
 * @props {}
 * @returns {AxiosPromise}
 */
export function epgResult(data) {
  return ajax({
    urlType: 'url2',
    url: "/epg-result",
    method: "get",
    data
  });
}
