import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
  {
    path: '/',
    name: 'Program',
    component: () => import(/* webpackChunkName: "Program" */ '../views/Program.vue')
  },
  {
    path: '/Channel',
    name: 'Channel',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "Channel" */ '../views/Channel.vue')
  },
  {
    path: '/heightlight',
    name: 'Heightlight',
    component: () => import(/* webpackChunkName: "Heightlight" */ '../views/Heightlight.vue')
  },
  {
    path: '/realData',
    name: 'RealData',
    component: () => import(/* webpackChunkName: "RealData" */ '../views/RealData.vue')
  },
  {
    path: "/liveChannel",
    name: 'LiveChannel',
    component: () => import(/* webpackChunkName: "LiveChannel" */ '../views/LiveChannel.vue')
  },
  {
    path: "/boutiqueColumn",
    name: 'boutiqueColumn',
    component: () => import(/* webpackChunkName: "boutiqueColumn" */ '../views/BoutiqueColumn/BoutiqueColumn.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(process.env.BASE_URL),
  routes
})

export default router
